%define	version 1.3.9.20110826
%define	release %mkrel 2

Name:      ibus-table-extraphrase
Summary:   Chinese extra phrases for ibus-table based IME
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.xz
Patch0:    ibus-table-extraphrase-0.1.2.20090102-noarch.patch
BuildRequires: python-devel
BuildRequires: ibus-table-devel >= 1.2.0
Provides:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0

%description
This package provide Chinese extra phrases for ibus-table based IME,
such as ibus-table-zhengma, ibus-table-wubi, ibus-table-cangjie5,
ibus-table-erbi and etc.

This package will also provide a script, called ibus-table-extraphrase,
to print the path of extra_phrase.txt.bz2, which can be used when using
ibus-table-createdb to generate IME database.

%package devel
Summary:	Development files for %name
Group:		System/Internationalization
Requires:	%name = %version
Requires:	pkgconfig
Provides:	%name-devel = %version-%release

%description devel
This package contains development files for %name.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/ibus-table/data/extra_phrase.txt

%files devel
%{_datadir}/pkgconfig/*.pc


%changelog
* Tue Nov 19 2013 billybot <billybot> 1.3.9.20110826-2pclos2013
- split out .pc file into devel rpm so other devel rpms do not
- get pulled in when installing
 
* Sun Nov 10 2013 pinoc <vogtpet at gmail.com> 1.3.9.20110826-1pclos2013
- import ibus-table-extraphrase
